
<!DOCTYPE html>
<html lang="ar">

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">

    <meta content="Responsive admin theme build on top of Bootstrap 4" name="description" />
    <meta name="keywords" content="{{$meta ? $meta->translate($lang)->keywords : ''}}">
    <meta name="description" content="{{$meta ? $meta->translate($lang)->description : ''}}">


    <title>{{$meta ? $meta->translate($lang)->title : ''}}</title>
    <meta property="og:image" content="$meta ? {{$meta ? $meta->og_image : ''}}">
    <meta property="og:title" content="{{$meta ? $meta->translate($lang)->og_title : ''}}">
    <meta property="og:description" content="{{$meta ? $meta->translate($lang)->description : ''}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <meta property="og:image:width" content="600" />
    <meta property="og:image:height" content="350" />
    <meta property="og:url" content="<?php echo URL::current(); ?>" />
    <meta property="og:site_name" content="{{$meta ? $meta->translate($lang)->web_name : ''}}">


    <meta content="Themesdesign" name="author" />
    <link rel="shortcut icon" href="{{asset($meta->icon)}}">


    <link href="{{asset('assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/metismenu.min.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/icons.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/style.css')}}" rel="stylesheet" type="text/css">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:slnt,wght@-2,200..1000&display=swap" rel="stylesheet">

</head>

<body>

<!-- Begin page -->
<div class="accountbg"></div>
<!--
<div class="home-btn d-none d-sm-block">
    <a href="index.html" class="text-white"><i class="fas fa-home h2"></i></a>
</div>
-->
<div class="wrapper-page">
    <div class="card card-pages shadow-none">
        <div class="card-body">
            <form class="form-horizontal m-t-30" method="post" action="{{route('login')}}">
                @csrf
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul style="list-style: none;margin:0">
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="form-group">
                    <div class="col-12">
                        <label>E-Mail</label>
                        <input class="form-control" type="email" required="" placeholder="E-mail" name="email">
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-12">
                        <label>Password</label>
                        <input class="form-control" type="password" required="" placeholder="password" name="password">
                    </div>
                </div>


                <div class="form-group text-center m-t-20">
                    <div class="col-12">
                        <button class="btn btn-primary btn-block btn-lg waves-effect waves-light" type="submit">Confirm</button>
                    </div>
                </div>


            </form>
        </div>

    </div>
</div>
<!-- END wrapper -->

<!-- jQuery  -->
<script src="{{asset('assets/js/jquery.min.js')}}"></script>
<script src="{{asset('assets/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('assets/js/metismenu.min.js')}}"></script>
<script src="{{asset('assets/js/jquery.slimscroll.js')}}"></script>
<script src="{{asset('assets/js/waves.min.js')}}"></script>

<!-- App js -->
<script src="{{asset('assets/js/app.js')}}"></script>

</body>

</html>
