<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\AuthController;
use App\Http\Controllers\Admin\BranchController;
use App\Http\Controllers\Admin\ContactController;
use App\Http\Controllers\Admin\MetaController;
use App\Http\Controllers\Admin\EmployeeController;
use App\Http\Controllers\Admin\SliderController;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

//Route::get('/', function () {
//    return view('welcome');
//});

## Admin routs
Route::get('/admin_login', [AuthController::class, 'loginView'])->name('admin_login');
Route::post('/login', [AuthController::class, 'login'])->name('login');

Route::group(['prefix' => 'arabia_mobiles', 'as' => 'arabiaMobiles.'], function () {
    require_once base_path('routes/front.php');
});

Route::group(['prefix' => 'dashboard','as' => 'dashboard.'], function () {


        Route::get('/analyses', [AuthController::class,'analyses'])->name('analyses');
        Route::group(['middleware' => 'auth:admin,employee'], function () {
            Route::get('/analyses', [AuthController::class, 'analyses'])->name('analyses');
            Route::get('/employee', [AuthController::class, 'employeeDashboard'])->name('employee');

            Route::get('/logout', [AuthController::class, 'logout'])->name('logout');
        });
        // new CRUDs
        Route::group(['middleware' => 'auth:admin'], function () {
            Route::resource('admins', AdminController::class);
            Route::resource('sliders', SliderController::class);
            Route::post('sliders/photo', [SliderController::class ,'deleteSliderPhoto'])->name('sliders.photo');

            Route::resource('contacts', ContactController::class);
            Route::resource('settings', ContactController::class);

        });

        ## Setting
        Route::resource('metas', MetaController::class);
        ## general seo Routes
        Route::get('get_general_seo', [MetaController::class, 'getSeo'])->name('general_seo.index');
        Route::post('update_general_seo', [MetaController::class, 'updateSeo'])->name('general_seo.update');


});


Route::group(['middleware'=>['localizationRedirect', 'localeViewPath' ,'localeCookieRedirect','localeSessionRedirect'],'prefix' => LaravelLocalization::setLocale()],function ()
{
    Route::group(['middleware'=>'language'],function ()
    {
        Route::get('/', function () {
            return view('welcome');
        });
    });
});

Route::get('/xclear', function() {
    Artisan::call('config:cache');
    Artisan::call('cache:clear');
    Artisan::call('view:clear');
    Artisan::call('view:cache');
    Artisan::call('optimize:clear');
    Artisan::call('route:cache');
    return 'cleared';
});
